ASHNA/Models/addNew.cs
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ASHNA.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class addNew
    {
        public int accountID { get; set; }
        public string name { get; set; }
        public string familyName { get; set; }
        public string fatherName { get; set; }
        public string phone { get; set; }
        public string cellPhone { get; set; }
        public System.DateTime birthDayDate { get; set; }
        public System.DateTime membershipDate { get; set; }
        public string address { get; set; }
    }
}

ASHNA/Areas/Customers/Controllers/homeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ASHNA.Areas.Customers.Controllers
{
    public class homeController : Controller
    {
        // GET: Customers/homeController
        public ActionResult main()
        {
            return View();
        }
        public ActionResult about()
        {

            return View();
        }

        public ActionResult contact()
        {

            return View();
        }
    }
}

ASHNA/Areas/Customers/Views/Shared/_Delete.cshtml
<div class="panel panel-danger">
    <div class="panel-heading" style="direction:rtl">
        <h4>جدول حذف کاربران </h4>
    </div>
    <div class="panel-body">
        <form action="/information/Delete" method="post">
            <div class="row">
             
                <div class="col-md-6 col-md-offset-3 text-danger" style="direction:rtl">
                    <div class="form-inline">
                        <label>لطفا شماره حساب کاربر مورد نظر را در این قمست وارد کنید :</label>
                        <input  class="form-control pull-left" name="accountid">
                    </div>
                    <br />
                    <button id="accept" type="submit"  class="btn btn-danger col-lg-3" style="margin:5px">حذف</button>

                </div>
            </div>
        </form>
    </div>
</div>

ASHNA/Areas/Customers/Views/Shared/_Layout.cshtml
 
<!DOCTYPE html>
<html class="bg-black">
<head>
    <meta charset="UTF-8">
    <title>AdminLTE | @ViewBag.title</title>
    <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
    <!-- bootstrap 3.0.2 -->
    <link href="~/Components/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <!-- font Awesome -->
    <link href="~/Components/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
    <!-- Theme style -->
    <link href="~/Components/css/AdminLTE.css" rel="stylesheet" type="text/css" />
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>

    <![endif]-->
    <link href="~/Content/jquery.Bootstrap-PersianDateTimePicker.css" rel="stylesheet" />
    <link href="~/Content/jquery.Bootstrap-PersianDateTimePicker.min.css" rel="stylesheet" />

</head>
<body class="bg-black">
    <div class="navbar navbar-inverse navbar-fixed-top ">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("صندوق قرض الحسنه امام خمینی" + " " + "(ره)", "main", "home", new { area = "Customers" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("خانه", "main", "home")</li>
                    <li>@Html.ActionLink("درباره ما", "about", "home")</li>
                    <li>@Html.ActionLink("تماس با ما", "contact", "home")</li>
                </ul>
            </div>
        </div>`
    </div>
    @RenderBody()
    <!-- jQuery 2.0.2 -->
  

 
    <input type="text" class="example1" />
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/2.0.2/jquery.min.js"></script>
    <script src="~/Components/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="/Components/js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
    <script src="/Components/js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>
    <!-- Bootstrap -->
    <script src="~/Scripts/Client.js"></script>
    <script src="~/Scripts/sweetalert.min.js"></script>
    @RenderSection("scripts", required: false)

    

    <script>

        $(document).ready(function () {
            if ("@ViewBag.error"=="true") {
           swal({
                title: "کاربر یافت نشد",
                text: "",
                icon: "error",
              });

            }
            else if ("@ViewBag.success"=="true") {
           swal({
                title: "عملیات با موفقیت انجام شد",
                text: "",
                icon: "success",
              });

            }
            else if ("@ViewBag.error" == "deleted") {
           swal({
                title: "عملیات با موفقیت انجام شد",
                text: "",
                icon: "success",
              });

            }

             else if ("@ViewBag.error" == "added") {
           swal({
                title: "کاربر با موفقیت ثبت شد",
                text: "",
                icon: "success",
              });

            }
            else if ("@ViewBag.error" == "Notadded") {
           swal({
                title: "در ثبت کاربر مشکلی به وجود آمده",
                text: "",
                icon: "error",
              });

        }
        })

    </script>


</body>
</html>

ASHNA/Areas/Customers/Views/Shared/_Search.cshtml
<div class="panel panel-info">
    <div class="panel-heading" style="direction:rtl">
        <h4>جدول جست و جوی و ویرایش اطلاعات کاربران </h4>
    </div>
    <div class="panel-body">
        <form action="/Customers/information/Search" method="get">
            <div class="row">

                <div class="col-md-6 col-md-offset-3 text-info" style="direction:rtl">
                    <div class="form-inline">
                        <label>لطفا شماره حساب کاربر مورد نظر را در این قسمت وارد کنید :</label>
                        <input class="form-control pull-left" name="accountID">
                    </div>
                    <br />
                    <button id="accept" type="submit" class="btn btn-info col-lg-3" style="margin:5px">جست و جو</button>

                </div>
            </div>
        </form>
    </div>
</div>

ASHNA/Areas/Customers/Views/Shared/_Update.cshtml
<div class="panel panel-warning">
    <div class="panel-heading" style="direction:rtl">
        <h4>جدول تغییر جزئیات کاربران </h4>
    </div>
    <div class="panel-body">
        <form action="/information/Update" method="post">
            <div class="row">

                <div class="col-md-6 col-md-offset-3 text-warning" style="direction:rtl">
                    <div class="form-inline">
                        <label>لطفا شماره حساب کاربر مورد نظر را در این قمست وارد کنید :</label>
                        <input class="form-control pull-left" name="accountID">
                    </div>
                    <br />
                    <button  type="submit" class="btn btn-warning col-lg-3" style="margin:5px">حذف</button>

                </div>
            </div>
        </form>
    </div>
</div>

ASHNA/Areas/Customers/Views/Shared/_addNew.cshtml
<div class="panel panel-primary">
    <div class="panel-heading" style="direction:rtl">
        <h4>جدول ثبت اطلاعات فردی </h4>
    </div>
    <div class="panel-body">
        <form action="/Customers/information/Add" method="post">
            <div class="row">
                <div class="col-md-6 text-primary" style="direction:rtl">
                    <div class="form-inline">
                        <label>گذرواژه :</label>
                        <input type="password" class="form-control pull-left" name="PassWord">
                    </div>
                    <div class="form-inline">
                        <label>تکرار گذرواژه :</label>
                        <input type="password" class="form-control pull-left" name="RePassWord">
                    </div>
                    <div class="form-inline">
                        <label>کد پرسنلی سرپرست :</label>
                        <input class="form-control pull-left" name="Supervisor">
                    </div>
                   
                    <div class="form-inline" style="margin-top:50px;">
                        <label>تاریخ تولد :</label>
                        <div class="row">
                            <div class="col-md-4 ">
                                <div class="dropdown ">

                                    <div class="input-group">
                                        <span class="input-group-addon">سال</span>
                                        <input type="number" Rows="10" MaxLength="4" class="form-control" name="BirthdayDate">
                                    </div>
                                </div>

                            </div>
                            <div class="col-md-4">
                                <div class="dropdown ">

                                    <div class="input-group">
                                        <span class="input-group-addon">ماه</span>
                                        <select class="form-control">
                                            @for (int i = 1; i <= 31; i++)
                                            {
                                                <option value="@i">@i</option>
                                            }

                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="dropdown ">

                                    <div class="input-group">
                                        <span class="input-group-addon">روز</span>
                                        <select class="form-control">
                                            @for (int i = 1; i <= 31; i++)
                                            {
                                                <option value="@i">@i</option>
                                            }

                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="form-inline">
                        <label>تلفن منزل :</label>
                        <input type="number" class="form-control pull-left" placeholder="تلفن منزل به همراه کد شهر وارد شود" name="Phone">
                    </div>

                    <div class="form-inline">
                        <label>آدرس:</label>
                        <textarea type="text" class="form-control pull-left"  placeholder="لطفا در آدرس از کلمات مخفف استفاده نکنید" name="Address"></textarea>
                    </div>
                </div>
                <div class="col-md-6 text-primary" style="direction:rtl">
                    <div class="form-inline">
                        <label>کد پرسنلی:</label>
                        <input type="number" class="form-control pull-left" placeholder="کد پرسنلی خود را با دقت در این قسمت وارد کنید" name="PersonalCode">
                    </div>

                    <div class="form-inline">
                        <label>نام:</label>
                        <input type="text" class="form-control pull-left" name="Name">
                    </div>
                    <div class="form-inline">
                        <label>نام خانوادگی:</label>
                        <input type="text" class="form-control pull-left" name="Family">
                    </div>
                    <div class="form-inline">
                        <label>شماره اولین حساب شما :</label>
                        <input type="text" class="form-control pull-left" name="FirstUserAccount">
                    </div>
                    <div class="form-inline">
                        <label>نام پدر:</label>
                        <input type="text" class="form-control pull-left" name="FatherName">
                    </div>
                    <div class="form-inline">
                        <label>کد ملی:</label>
                        <input type="number" class="form-control pull-left" name="NationalCode">
                    </div>
                    <div class="form-inline">
                        <label>پست الکترونیک :</label>
                        <input type="email" class="form-control pull-left" name="Email">
                    </div>
                    <div class="form-inline">
                        <label>تلفن همراه:</label>
                        <input type="number" class="form-control pull-left" name="cellPhone">
                    </div>

                </div>
                <button id="accept" type="submit" OnClick="error()" class="btn btn-primary col-md-3 col-md-offset-1" style="direction:rtl">تائید</button>
            </div>
        </form>
    </div>
</div>